/*-----------------------------------------------------------------------*
 Project: [ASR Sample]
 File: [asr_sample.h]

 Copyright (C) 2010 Nintendo Co., Ltd. All rights reserved.

 These coded instructions, statements, and computer programs contain
 proprietary information of Nintendo of America Inc. and/or Nintendo
 Company Ltd., and are protected by Federal copyright law. They may
 not be disclosed to third parties or copied or duplicated in any form,
 in whole or in part, without the prior written consent of Nintendo.

 $Revision: $
*-----------------------------------------------------------------------*/
#ifndef _ASR_SAMPLE_H_
#define _ASR_SAMPLE_H_

/******************************************************************
                        include t@C
*******************************************************************/
#include <nn/types.h>
#include <stdlib.h>     // strtol
#include <string.h>     // str**

#include "CTR_Define.h"
#include "asr.h"



/******************************************************************
            萔^^`
*******************************************************************/
/* e^[QbgƂɃ[gpXw肷邱 */
#define TEST_DATA_ROOT                "rom:/"
#define SCENARIO_FILE                 TEST_DATA_ROOT"scenario.txt"

#ifdef __cplusplus
#define EXTERN_C extern "C"
#else
#define EXTERN_C extern
#endif /* #ifdef __cplusplus */


/* FΏیꐔ */
#define D_LANG_COUNT_MAX  10

/* ˑf[^̃f */
/*
 * mixed.large
 * mixed.small
 * child.large
 * child.small
 */
#define D_MODEL_COUNT_MAX  4

EXTERN_C int asr_test(int,int);
EXTERN_C char* getLangName(int);
EXTERN_C char* getModelName(int);
EXTERN_C int getModelNumMax(int);

#endif /* #ifndef _ASR_SAMPLE_H_ */


