#ifndef _CTR_UTILITY_H_
#define _CTR_UTILITY_H_

#include <nn.h>
#ifdef __cplusplus
extern "C" {
#endif

#define D_READ_LINE_MAX  1024

#define D_USE_KEYEVENT  0
#define D_USE_SINARIO   1

/* {^` */
enum {
    D_BUTTON_NONE=1,
    D_BUTTON_A,
    D_BUTTON_B,
    D_BUTTON_START,
    D_BUTTON_RIGHT,
    D_BUTTON_LEFT,
    D_BUTTON_UP,
    D_BUTTON_DOWN,
    D_BUTTON_R,
    D_BUTTON_L,
    D_BUTTON_X,
    D_BUTTON_Y,
    D_BUTTON_SINARIO_EOF,
    D_BUTTON_MAX
};


/* ֐` */
int CTR_GetKeyEvent( int isSinario );
int CTR_UtilityInit( char* path );
int CTR_UtilityTrem( void );

#ifdef __cplusplus
}
#endif

#endif /* #ifndef _CTR_UTILITY_H_ */

